{% extends '../base.html'%} {% block main %} {% load static %}
<div class="main-container position-relative">
  {% include "../components/quick_access.html" %}
  <div>
    <section class="presentation"></section>
    <section class="create-repair">
      <form method="POST">
        {% csrf_token %}
        <h2 class="text-center">Faire une demande de location de drone</h2>
        <div class="d-flex w-100 justify-content-center align-content-center">
          <span><a href="{% url 'rent_presentation' %}" target="_blank">Les termes et conditions</a></span>
        </div>
        <section>
          <h3 class="text-center">Vos informations personnelles</h3>
          <div>
            <label for="fits_name">Votre prénom&nbsp;:</label>
            <input type="text" name="fits_name" class="text form-control cost-repair-form shadow" id="first_name" required="" readonly="" label="Votre prénom" value="{{ request.user.get_first_name }}"/>
          </div>
          <div>
            <label for="last_name">Votre nom&nbsp;:</label>
            <input type="text" name="last_name" class="text form-control cost-repair-form shadow" id="last_name" required="" readonly="" label="Votre nom" value="{{ request.user.get_last_name }}" />
          </div>
          <div>
            <label for="email">Votre email&nbsp;:</label>
            <input type="text" name="email" class="text form-control cost-repair-form shadow" id="email" required="" readonly="" label="Votre email" value="{{ request.user.email }}" />
          </div>
          <div>
            <label for="phone_number">Votre numéro de téléphone&nbsp;:</label>
            <input type="tel" name="phone_number" class="text form-control cost-repair-form shadow" id="phone_number" required="" placeholder="0102030405" {%if request.user.phone%} value="{{ request.user.phone }}" {%endif%} label="Votre numéro de téléphone"/>
          </div>
          <p class="fs-3 text-center">Votre adresse</p>
          <div>
            <label for="rue_number">Numéro de rue&nbsp;:</label>
            <input type="number" name="rue_number" class="text form-control cost-repair-form shadow address-input" id="rue_number" required="" placeholder="5" {%if request.user.address%} value="{{ request.user.address.rue_number }}" {%endif%} label="Votre adresse" />
          </div>
          <div>
            <label for="rue_name">Nom de rue&nbsp;:</label>
            <input type="address" name="rue_name" class="text form-control cost-repair-form shadow address-input" id="rue_name" placeholder="Avenu de Anatole" required="" {%if request.user.address%} value="{{ request.user.address.rue_name }}" {%endif%} label="Votre adresse" />
          </div>
          <div>
            <label for="postal_code">Code postal&nbsp;:</label>
            <input type="number" name="postal_code" class="text form-control cost-repair-form shadow address-input" id="postal_code" placeholder="75007" required="" {% if request.user.address%} value="{{ request.user.address.postal_code }}" {%endif%} label="Votre adresse" />
          </div>
          <div>
            <label for="city">Ville&nbsp;:</label>
            <input type="text" name="city" class="text form-control cost-repair-form shadow address-input" id="city" required="" placeholder="Paris" {%if request.user.address%} value="{{ request.user.address.city }}" {%endif%} label="Votre adresse" />
          </div>
          <div>
            <label for="country">Pays&nbsp;:</label>
            <input type="text" name="country" class="text form-control cost-repair-form shadow address-input" id="country" required="" placeholder="France" {%if request.user.address%} value="{{ request.user.address.country }}" {%endif%} label="Votre adresse" />
          </div>
          <div>
            <label for="address-review">Récapitulatif de l'adresse &nbsp;:</label>
            <input type="text" name="address-review" class="text form-control cost-repair-form shadow address-input" id="address-review" readonly="" placeholder="5 Avenu de Anatole, 75007 Paris, France" label="Votre adresse" {%if request.user.address%} value="{{ request.user.address.get_address }}" {%endif%} />
          </div>
          <p class="fs-3 text-center">Information de location</p>
          <div>
            <label for="article_title">Titre de l'article&nbsp;:</label>
            <input type="text" name="article_title" readonly class="text form-control" id="article_title" required="" value="{{ article.title }}" />
          </div>
          <div>
            <label for="description">La description de l'article&nbsp;:</label>
            <textarea class="form-control" readonly  name="description" id="description" >{{ article.description }}</textarea>
          </div>
          <div>
            <label for="price">Le prix par jour&nbsp;:</label>
            <input type="text" name="price" readonly class="text form-control" id="price" placeholder="Avenu de Anatole" required="" value="{{ article.rental_amount }} €" />
          </div>
          <div>
            <label for="price">Accessoires&nbsp;:</label>
            <textarea class="form-control" readonly  name="accessoires" id="accessoires" >{{ article.rental_accessories }}</textarea>
          </div>
          <div>
            <label for="price">Images&nbsp;:</label>
            <section class="images-conatiner d-flex flex-row justify-content-start" style="overflow-x: auto; overflow-y: hidden">
              {% for image in article.images.all %}
                <img style=" width: 7rem; height: auto; object-fit: contain; margin-left: 1rem;" src="../../media/{{ image.url }}" alt="" >
              {% endfor %}
            </section>
          </div>
          <div class="py-3">
            <label for="price">Dates&nbsp;:</label>
            <div class="d-flex w-100 flex-column flex-lg-row justify-content-evenly gap-3 align-content-center">
              <div class="d-flex flex-column w-100 justify-content-center align-content-center">
                <label for="start_at">Date de début&nbsp;:</label>
                <input autocomplete="off" type="date" name="start_at" class="text form-control" id="start_at" required />
              </div>
              <div class="d-flex flex-column w-100 justify-content-center align-content-center">
                <label for="end_at">Date de fin&nbsp;:</label>
                <input autocomplete="off" type="date" name="end_at" class="text form-control" id="end_at" required />
              </div>
            </div>
            <div>
              <label for="drone_damages">l'heure du RDV pour prendre le drone&nbsp;:</label>
              <div class="d-flex justify-content-center align-content-center">
                <input autocomplete="off" type="time" name="rdv_at" class="form-control w-100 h-25" id="rdv_at" required />
              </div>
            </div>
            <div>
              <label for="drone_damages">Exprimez votre besoin en quelques mots&nbsp;:</label>
              <textarea name="explanation"  rows="4" class="text form-control cost-repair-form shadow" id="drone_damages" required="" label="Détails des dégats" row="5" aria-required=""></textarea>
            </div>
          </div>
        </section>
        <div class="w-100 mt-4 d-flex flex-column gap-3  justify-content-center align-content-center">
          <div class="d-flex gap-3 justify-content-center align-content-center align-items-center">
            <input type="checkbox" name="conditions" id="conditions">
            <label for="conditions">J'ai lu et j'accepte
              <a href="{% url 'rent_presentation' %}" target="_blank">les termes et conditions</a>
            </label>
          </div>
          <button disabled id="okBtn" type="submit" class="normal-btn px-4 py-2 border shadow rounded bg-success text-white">
            <i class="fa-solid fa-check"></i>
            Faire ma demande
          </button>
        </div>
      </form>
    </section>
  </div>
</div>


  <script src="{% static 'assets/js/script.js' %}"></script>
  <script src="{% static 'assets/js/repair_demande.js' %}"></script>

  <script>
    handleSetAddress()
    handleRentConditions();
  </script>
</div>

{% endblock main%}
